import { App, AppStatus } from './types';

const transformAppStatus = (status: string) => {
  switch (status) {
    case 'App installed and running':
      return AppStatus.Installed;
    case 'Not installed':
      return AppStatus.NotInstalled;
    // For now default to "Installing" status for any app that isn't installed
    // or not installed. Could also mean "upgrading", or "broken"...
    default:
      return AppStatus.Installing;
  }
};

export const transformApp = (response: any): App => {
  return {
    id: response.id ?? '',
    name: response.name ?? '',
    slug: response.slug ?? '',
    status: transformAppStatus(response.status),
    url: response.url,
    automaticUpdates: response.automatic_updates,
    assetSrc: `/assets/${response.slug}.svg`,
    markdownSrc: `/markdown/${response.slug}.md`,
  };
};

export const transformAppRequest = (data: App) => {
  return {
    automatic_updates: data.automaticUpdates,
    configuration: data.configuration,
  };
};

export const transformInstallAppRequest = (data: App) => {
  return {
    url: data.url,
    configuration: data.configuration,
  };
};
